
QGIS Application - Bug report #15322

QGIS 2.16 breaks when starting the Globe plugin

2016-07-21 04:16 PM - Samuel Fernando Mesa Giraldo

Status: Closed

Priority: Normal

Assignee: Pirmin Kalberer

Category: C++ plugins/Globe

Affected QGIS version:2.16.0 Regression?: No

Operating System: Arch Linux Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 23254

Description

I get the next error when start Globe plugin in QGIS v2.16 in Arch Linux.

Warning: QCss::Parser - Failed to load file  "/style.qss" 

QInotifyFileSystemWatcherEngine::addPaths: inotify_add_watch failed: Not found the file directory

Warning: QFileSystemWatcher: failed to add paths: /home/samtux/.qgis2//project_templates

Warning: QLayout: Attempting to add QLayout "" to QgsPanelWidgetStack "mWidgetStack", which already has a layout

zsh: segmentation fault (core dumped)

The version of OSGearth is 2.7 with the following compilation instructions:

https://aur.archlinux.org/cgit/aur.git/tree/PKGBUILD?h=osgearth-qt4

Related issues:

Related to QGIS Application - Bug report # 15323: QGIS 2.16 breaks when start... Closed 2016-07-21

History

#1 - 2016-07-22 08:15 AM - Samuel Fernando Mesa Giraldo

Here are I captured a video with the error report plugin Globe:

https://vimeo.com/175843495

#2 - 2016-07-22 10:44 AM - Anita Graser

FYI: No crashes on Windows.

#3 - 2016-08-15 09:41 AM - Samuel Fernando Mesa Giraldo

I made a new installation of Arch Linux and compiling OSGearth and QGIS  again and now everything works correctly. Apparently the problem is due to old

files and settings of QGIS, OSGearth or OpenSceneGraph.

Please close issue.

#4 - 2016-08-15 12:16 PM - Nyall Dawson

- Resolution set to invalid
https://aur.archlinux.org/cgit/aur.git/tree/PKGBUILD?h=osgearth-qt4
https://vimeo.com/175843495


- Status changed from Open to Closed
